package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleDEField;
import com.sa.ibiz.demo.demo.service.UserRoleDEFieldService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroledefield")
public class UserRoleDEFieldResource
{
	@Autowired
	private UserRoleDEFieldService service;


	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleDEField> get(@Validated @PathVariable String id){
		UserRoleDEField data=new UserRoleDEField();
		data.setUserroledefieldid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("用户角色实体属性访问[get]操作发生错误","UserRoleDEField",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleDEField> remove(@Validated @RequestBody UserRoleDEField data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色实体属性访问[remove]操作发生错误","UserRoleDEField",data.getUserroledefieldid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleDEField> create(@Validated @RequestBody UserRoleDEField data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色实体属性访问[create]操作发生错误","UserRoleDEField",data.getUserroledefieldid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleDEField> update(@Validated @RequestBody UserRoleDEField data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色实体属性访问[update]操作发生错误","UserRoleDEField",data.getUserroledefieldid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleDEField> getDraft(@Validated @RequestBody UserRoleDEField data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色实体属性访问[getDraft]操作发生错误","UserRoleDEField","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleDEField> checkKey(@Validated @RequestBody UserRoleDEField data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色实体属性访问[checkKey]操作发生错误","UserRoleDEField",data.getUserroledefieldid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleDEField>> searchDefaultPage(@Validated @RequestBody UserRoleDEFieldSearchFilter filter){
		Page<UserRoleDEField> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleDEField>> listDefault(@Validated @RequestBody UserRoleDEFieldSearchFilter filter){
		List<UserRoleDEField> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
